mxImage (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util
Class mxImage

    java.lang.Object
      com.mxgraph.util.mxImage

All Implemented Interfaces:
  Serializable, Cloneable

    public class mxImage

extends Object
implements Serializable, Cloneable

Implements a 2-dimensional point with double precision coordinates.

See Also:
  Serialized Form

Field Summary
`protected int` | `height` Holds the image width and height.
`protected String` | `src` Holds the path or URL for the image.
`protected int` | `width` Holds the image width and height.

Constructor Summary
`mxImage(String src, int width, int height)` Constructs a new point at (0, 0).

Method Summary
`int` | `getHeight()`
`String` | `getSrc()`
`int` | `getWidth()`
`void` | `setHeight(int height)`
`void` | `setSrc(String src)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### src

    protected String src

  Holds the path or URL for the image.

### width

    protected int width

  Holds the image width and height.

### height

    protected int height

  Holds the image width and height.

Constructor Detail

### mxImage

    public mxImage(String src,
                   int width,
                   int height)

  Constructs a new point at (0, 0).

Method Detail

### getSrc

    public String getSrc()

  Returns:
    the src

### setSrc

    public void setSrc(String src)

  Parameters:
    `src` - the src to set

### getWidth

    public int getWidth()

  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - the width to set

### getHeight

    public int getHeight()

  Returns:
    the height

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` - the height to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.